
%global meadversion 2.5.4
%global namedversion 2.5.4.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jackson-annotations}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.5.4.redhat-1

Name:           %{?scl_prefix}jackson-annotations
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jackson-annotations
Group:          Development/Java

%if %with mead
Source100: jackson-annotations-2.5.4.redhat-1-scm-sources.zip
Source102: jackson-annotations-2.5.4.redhat-1-javadoc.jar
Source103: jackson-annotations-2.5.4.redhat-1.pom
Source104: jackson-annotations-2.5.4.redhat-1.jar
Source105: jackson-annotations-2.5.4.redhat-1-project-sources.tar.gz
Source106: jackson-annotations-2.5.4.redhat-1-sources.jar
%endif

License:        ASL 2.0
URL:            http://github.com/FasterXML/jackson
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jackson-annotations-%{namedversion}-%{release}-root

%description
Core annotations used for value types, used by Jackson data binding package.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for jackson-annotations
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jackson-annotations -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-annotations-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-annotations-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-annotations-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-annotations-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-annotations-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-annotations-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-annotations-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jackson-annotations-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-annotations-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-annotations-%{namedversion} %{buildroot}%{_javadocdir}/jackson-annotations
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md release-notes/VERSION
%{_javadir}/jackson-annotations-%{namedversion}.jar
%{_javadir}/jackson-annotations.jar
%if %with javadoc
%{_javadir}/jackson-annotations-%{namedversion}-javadoc.jar
%{_javadir}/jackson-annotations-javadoc.jar
%else
%exclude %{_javadir}/jackson-annotations-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-annotations-javadoc.jar
%endif
%{_javadir}/jackson-annotations-%{namedversion}-sources.jar
%{_javadir}/jackson-annotations-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-annotations-%{namedversion}
%{_javadocdir}/jackson-annotations
%endif

%changelog
* Tue Oct 27 2015 David Walluck <dwalluck@redhat.com> - 2.5.4-1.redhat_1.1
- 2.5.4

* Tue Aug 04 2015 David Walluck <dwalluck@redhat.com> - 2.5.2-1.redhat_1.1
- 2.5.2

* Tue Apr 07 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-1.redhat_1.1
- release

